Patchwork [12/14] vte: upgrade from 0.24.3 to 0.28.2

login
register
mail settings
Submitter Nitin A Kamble
Date Dec. 30, 2011, 12:30 a.m.
Message ID <210365449c40560da575e37c5261d8e7be4172fa.1325204775.git.nitin.a.kamble@intel.com>
Download mbox | patch
Permalink /patch/17813/
State New
Headers show

Comments

Nitin A Kamble - Dec. 30, 2011, 12:30 a.m.
From: Nitin A Kamble <nitin.a.kamble@intel.com>

Added gobject-introspection-native to depends as the configure
needs an m4 macro file generated by it to avoid this error:

src/Makefile.am:168: HAVE_INTROSPECTION does not appear in
AM_CONDITIONAL

This upgrade avoids configure issues with automake version 1.11.2
seen on the earlier version.
| src/Makefile.am:155: `pkglibdir' is not a legitimate directory for
`PROGRAMS'
| src/Makefile.am:156: `pkglibdir' is not a legitimate directory for
`SCRIPTS'
| src/Makefile.am:178: variable `interpret_SOURCES' is defined but no
program or
| src/Makefile.am:178: library has `interpret' as canonical name
(possible typo)
| src/Makefile.am:229: variable `slowcat_SOURCES' is defined but no
program or
| src/Makefile.am:229: library has `slowcat' as canonical name (possible
typo)
| src/Makefile.am:203: variable `interpret_LDADD' is defined but no
program or
| src/Makefile.am:203: library has `interpret' as canonical name
(possible typo)
| autoreconf: automake failed with exit status: 1
| ERROR: autoreconf execution failed.
NOTE: package vte-0.24.3-r0: task do_configure: Failed

Did not upgrade to the latest version 0.31.0.
0.28.2 is the last version supporting gtp+ 2. Next versions have
dropped support for gtk+ 2, and they require gtk+ 3. It would be
more appropriate to move to next version after gtk+ 3 recipe is
available.

Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com>
---
 meta/recipes-support/vte/vte.inc       |    2 +-
 meta/recipes-support/vte/vte_0.24.3.bb |    8 --------
 meta/recipes-support/vte/vte_0.28.2.bb |   10 ++++++++++
 3 files changed, 11 insertions(+), 9 deletions(-)
 delete mode 100644 meta/recipes-support/vte/vte_0.24.3.bb
 create mode 100644 meta/recipes-support/vte/vte_0.28.2.bb

Patch

diff --git a/meta/recipes-support/vte/vte.inc b/meta/recipes-support/vte/vte.inc
index 6138f8c..239516d 100644
--- a/meta/recipes-support/vte/vte.inc
+++ b/meta/recipes-support/vte/vte.inc
@@ -11,4 +11,4 @@  EXTRA_OECONF = "--disable-gtk-doc --disable-python"
 PACKAGES =+ "libvte vte-termcap"
 FILES_libvte = "${libdir}/*.so.* ${libexecdir}/gnome-pty-helper"
 FILES_vte-dbg =+ ${libexecdir}/.debug"
-FILES_vte-termcap = "${datadir}/vte/termcap"
+FILES_vte-termcap = "${datadir}/vte/termcap-0.0"
diff --git a/meta/recipes-support/vte/vte_0.24.3.bb b/meta/recipes-support/vte/vte_0.24.3.bb
deleted file mode 100644
index c06dd53..0000000
--- a/meta/recipes-support/vte/vte_0.24.3.bb
+++ /dev/null
@@ -1,8 +0,0 @@ 
-require vte.inc
-
-LIC_FILES_CHKSUM = "file://COPYING;md5=3bf50002aefd002f49e7bb854063f7e7"
-
-PR = "r0"
-
-SRC_URI[archive.md5sum] = "3eba555eab7ccbbe5ca056bb203a14ab"
-SRC_URI[archive.sha256sum] = "fe7d01178976b17ca809e41d0e6dbbcb28e2af5e2f5aa857f9df65affac17d01"
diff --git a/meta/recipes-support/vte/vte_0.28.2.bb b/meta/recipes-support/vte/vte_0.28.2.bb
new file mode 100644
index 0000000..d4e32f7
--- /dev/null
+++ b/meta/recipes-support/vte/vte_0.28.2.bb
@@ -0,0 +1,10 @@ 
+require vte.inc
+
+LIC_FILES_CHKSUM = "file://COPYING;md5=3bf50002aefd002f49e7bb854063f7e7"
+
+PR = "r0"
+
+SRC_URI[archive.md5sum] = "f07a4bf943194f94b7f142db8f7f36dc"
+SRC_URI[archive.sha256sum] = "8d04e202b617373dfb47689e5e628febe2c58840b34cccc4af4feb88c48df903"
+
+DEPENDS += "gobject-introspection-native"